%global dlrn_nvr oslo.privsep-2.5.1-1.20230516124011.1634c00
%global dlrn 1
%define upstream_version 2.5.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name oslo.privsep
%global pkgname oslo-privsep

%global with_doc 0

%global common_desc OpenStack library for privilege separation

Name:           python-%{pkgname}
Version: 2.5.1
Release: 1.20230516124011.1634c00%{?dist}
Summary:        OpenStack library for privilege separation

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0: oslo.privsep-2.5.1-1.20230516124011.1634c00.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=1634c00ce251e80581a337522c85c1d5836bbf16
Patch0001: 0001-Allow-finer-grained-log-levels.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:  git-core


%description
%{common_desc}

%package -n     python3-%{pkgname}
Summary:        OpenStack library for privilege separation
%{?python_provide:%python_provide python3-%{pkgname}}
Obsoletes: python2-%{pkgname} < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr >= 1.8
BuildRequires:  python3-babel >= 1.3
BuildRequires:  python3-oslo-log >= 3.36.0
BuildRequires:  python3-oslo-i18n >= 3.15.3
BuildRequires:  python3-oslo-config >= 2:5.2.0
BuildRequires:  python3-oslotest
BuildRequires:  python3-oslo-utils >= 3.33.0
BuildRequires:  python3-eventlet
BuildRequires:  python3-greenlet
BuildRequires:  python3-cffi
BuildRequires:  python3-msgpack >= 0.5.0
Requires:       python3-eventlet >= 0.21.0
Requires:       python3-greenlet >= 0.4.13
Requires:       python3-oslo-log >= 3.36.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-config >= 2:5.2.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-cffi
Requires:       python3-msgpack >= 0.6.0
Requires:       python-%{pkgname}-lang = %{version}-%{release}


%description -n python3-%{pkgname}
%{common_desc}


%package -n     python3-%{pkgname}-tests
Summary:        OpenStack library for privilege separation tests
Requires:       python3-%{pkgname}

%description -n python3-%{pkgname}-tests
%{common_desc}

This package contains the test files.

%if 0%{?with_doc}
%package -n python-%{pkgname}-doc
Summary:        oslo.privsep documentation
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-apidoc
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pkgname}-doc
Documentation for oslo.privsep
%endif


%package  -n python-%{pkgname}-lang
Summary:   Translation files for Oslo privsep library

%description -n python-%{pkgname}-lang
Translation files for Oslo privsep library


%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
rm -rf {,test-}requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
sphinx-build -W -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# Generate i18n files
%{__python3} setup.py compile_catalog -d build/lib/oslo_privsep/locale --domain oslo_privsep

%install
%{py3_install}

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_privsep/locale/*/LC_*/oslo_privsep*po
rm -f %{buildroot}%{python3_sitelib}/oslo_privsep/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_privsep/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_privsep --all-name

%check
%{__python3} setup.py test ||:


%files -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/oslo_privsep
%{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/oslo_privsep/tests
%{_bindir}/privsep-helper


%files -n python3-%{pkgname}-tests
%{python3_sitelib}/oslo_privsep/tests

%if 0%{?with_doc}
%files -n python-%{pkgname}-doc
%license LICENSE
%doc doc/build/html
%endif

%files -n python-%{pkgname}-lang -f oslo_privsep.lang
%license LICENSE

%changelog
* Tue May 16 2023 OSP Prod Chain <dev-null@redhat.com> 2.5.1-1.20230516124011.1634c00
- Allow finer grained log levels (rhbz#2204522)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.5.1-1.20220728013753.1634c00
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 2.5.1-1.20220714110826.1634c00
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 2.5.1-1.20220713073328.1634c00
- Update patches

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.5.1-0.20220227082212.1634c00
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 2.5.1-0.20220225084027.1634c00
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Fix requirements issues.

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.5.0-0.20210527230609.83870bd
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.5.0-1
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Adding pre-commit

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal
- Bump bandit version

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Undo the eventlet monkey patch for the privileged daemon
- Align contributing doc with oslo's policy

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace assertItemsEqual with assertCountEqual
- Fix pygments style

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Remove translation sections from setup.cfg
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add release notes links to doc index
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3
- Use unittest.mock instead of third party mock

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make compatible with msgpack 1.0.0
- Bring sanity to lower-constraints
- Disable logger validation during unit testing
- Add lock around channel creation
- trivial: Cleanup Sphinx config file, setup.cfg
- tox: Add missing 'deps' for releasenotes testenv
- Add functional tests

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove outdated header
- [ussuri][goal] Drop python 2.7 support and testing
- tox: Trivial cleanup
- Bump the openstackdocstheme extension to 1.20
- tox: Keeping going with docs
- Switch to Ussuri jobs
- Update the constraints url
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


